Error compiling php 5.3.21 (cannot find --ltdl)

Discussion in 'Install/Configuration' started by nikoc1337, Feb 21, 2013.

  1. nikoc1337

    nikoc1337 New Member

    Error compiling php 5.3.21 & 5.2.17 (libiconv)

    Hey. I have been using litespeed on my server for over a year.
    I'am now trying to install litespeed on another server and after many issues im getting one more error while compiling php. I did search enough but haven't resolved it yet. Im having this problem both when i try to setup php 5.3.21 & 5.2.17

    Code:
    /
    ext/iconv/iconv.o:/usr/local/lsws/phpbuild/php-5.3.21/ext/iconv/iconv.c:2545: more undefined references to `libiconv' follow
    ext/iconv/iconv.o: In function `php_iconv_stream_filter_ctor':
    /usr/local/lsws/phpbuild/php-5.3.21/ext/iconv/iconv.c:2499: undefined reference to `libiconv_open'
    ext/xmlrpc/libxmlrpc/encodings.o: In function `convert':
    /usr/local/lsws/phpbuild/php-5.3.21/ext/xmlrpc/libxmlrpc/encodings.c:73: undefined reference to `libiconv_open'
    /usr/local/lsws/phpbuild/php-5.3.21/ext/xmlrpc/libxmlrpc/encodings.c:81: undefined reference to `libiconv'
    /usr/local/lsws/phpbuild/php-5.3.21/ext/xmlrpc/libxmlrpc/encodings.c:101: undefined reference to `libiconv_close'
    collect2: ld returned 1 exit status
    make: *** [sapi/litespeed/php] Error 1
    **ERROR** Could not compile PHP
    
    Last edited: Feb 21, 2013
  2. webizen

    webizen New Member

  3. nikoc1337

    nikoc1337 New Member

  4. webizen

    webizen New Member


    Try ldconfig.

    Also, try exclude iconv from compile with '--without-iconv' to work around if you don't really need iconv.

    If still problem, pm your server temp access if you like us to look further.
  5. nikoc1337

    nikoc1337 New Member

    I need to run a wordpress blog on the server. Also i had tried ldconfig before.
    Im now trying to compile php without-iconv. I think i'am able to install php modules without recompiling php. Ill edit this soon for more news.
    Thanks for the fast responses mate.

    Edit: I did add --without-iconv and it's still giving the same error.
    Last edited: Feb 21, 2013

Share This Page